Commit 1c8ea646 authored by Alf Gaida's avatar Alf Gaida

preparing the migration of 0.10

parent f5465138
......@@ -8,9 +8,4 @@
/liblxqt-globalkeys0-dev/
/liblxqt-globalkeys-ui0/
/liblxqt-globalkeys-ui0-dev/
/lxqt-globalkeys-qt5
/liblxqt-globalkeys-qt5-0
/liblxqt-globalkeys-qt5-0-dev
/liblxqt-globalkeys-ui-qt5-0
/liblxqt-globalkeys-ui-qt5-0-dev
/tmp
lxqt-globalkeys (0.9.0+20150806-2) unstable; urgency=medium
* Remove --list-missing from rules, it's included in --fail-missing
* Fixed .gitignore
* Removed breaks/replaces
* Removed the most minimum versions
* Beautified debian/control
* Added linker flags -Wl,--as-needed
-- Alf Gaida <agaida@siduction.org> Wed, 11 Nov 2015 21:59:30 +0100
lxqt-globalkeys (0.9.0+20150806-1) unstable; urgency=low
[ Alf Gaida ]
......
Source: lxqt-globalkeys
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
Alf Gaida <agaida@siduction.org>,
ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
cmake (>= 3.0.2),
debhelper (>= 9),
libkf5windowsystem-dev (>= 5.9.0),
liblxqt0-dev (>= 0.9.0),
libqt5x11extras5-dev (>= 5.3),
libqt5xdg-dev (>= 1.2.0),
libx11-dev,
pkg-config,
qttools5-dev (>= 5.3),
qttools5-dev-tools (>= 5.3),
Build-Depends: debhelper (>= 9),
cmake (>= 3.0.2),
libkf5windowsystem-dev,
liblxqt0-dev,
libqt5x11extras5-dev,
libqt5xdg-dev,
libx11-dev,
pkg-config,
qttools5-dev,
qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/lxqt-globalkeys
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-globalkeys.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-globalkeys.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-globalkeys.git
Homepage: https://github.com/lxde/lxqt-globalkeys
Package: lxqt-globalkeys
Architecture: any
Breaks: lxqt-globalkeys-qt5 (<< 0.9.0)
Replaces: lxqt-globalkeys-qt5 (<< 0.9.0)
Depends:
${misc:Depends},
${shlibs:Depends},
Depends: ${misc:Depends},
${shlibs:Depends}
Description: daemon used to register global keyboard shortcuts (appl.)
Daemon used to register global keyboard shortcuts.
.
......@@ -37,12 +32,9 @@ Description: daemon used to register global keyboard shortcuts (appl.)
Package: liblxqt-globalkeys0
Architecture: any
Section: libs
Breaks: liblxqt-globalkeys-qt5-0 (<< 0.9.0)
Replaces: liblxqt-globalkeys-qt5-0 (<< 0.9.0)
Depends:
${misc:Pre-Depends},
${misc:Depends},
${shlibs:Depends},
Depends: ${misc:Pre-Depends},
${misc:Depends},
${shlibs:Depends}
Description: daemon used to register global keyboard shortcuts (shared libs)
Daemon used to register global keyboard shortcuts.
.
......@@ -51,12 +43,9 @@ Description: daemon used to register global keyboard shortcuts (shared libs)
Package: liblxqt-globalkeys0-dev
Architecture: any
Section: libdevel
Breaks: liblxqt-globalkeys-qt5-0-dev (<< 0.9.0)
Replaces: liblxqt-globalkeys-qt5-0-dev (<< 0.9.0)
Depends:
${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys0 (= ${binary:Version}),
Depends: ${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys0 (= ${binary:Version})
Description: daemon used to register global keyboard shortcuts (dev files)
Daemon used to register global keyboard shortcuts.
.
......@@ -65,13 +54,10 @@ Description: daemon used to register global keyboard shortcuts (dev files)
Package: liblxqt-globalkeys-ui0
Architecture: any
Section: libs
Breaks: liblxqt-globalkeys-ui-qt5-0 (<< 0.9.0)
Replaces: liblxqt-globalkeys-ui-qt5-0 (<< 0.9.0)
Depends:
${misc:Pre-Depends},
${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys0 (= ${binary:Version}),
Depends: ${misc:Pre-Depends},
${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys0 (= ${binary:Version})
Description: daemon used to register global keyboard shortcuts (ui files)
Daemon used to register global keyboard shortcuts.
.
......@@ -80,12 +66,9 @@ Description: daemon used to register global keyboard shortcuts (ui files)
Package: liblxqt-globalkeys-ui0-dev
Architecture: any
Section: libdevel
Breaks: liblxqt-globalkeys-ui-qt5-0-dev (<< 0.9.0)
Replaces: liblxqt-globalkeys-ui-qt5-0-dev (<< 0.9.0)
Depends:
${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys-ui0 (= ${binary:Version}),
Depends: ${misc:Depends},
${shlibs:Depends},
liblxqt-globalkeys-ui0 (= ${binary:Version})
Description: daemon used to register global keyboard shortcuts (ui dev files)
Daemon used to register global keyboard shortcuts.
.
......
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
%:
dh ${@} --buildsystem cmake --parallel
override_dh_install:
dh_install --list-missing --fail-missing
dh_install --fail-missing
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment